nested_exception.h File Reference

Go to the source code of this file.

## Classes

class | std::nested_exception

## Namespaces

| std

## Typedefs

template<typename _Tp >
using | std::__rethrow_if_nested_cond = typename enable_if< __and_< is_polymorphic< _Tp >, __or_< __not_< is_base_of< nested_exception, _Tp > >, is_convertible< _Tp *, nested_exception * > >>::value >::type

## Functions

template<typename _Ex >
__rethrow_if_nested_cond< _Ex > | std::__rethrow_if_nested_impl (const _Ex *__ptr)
void | std::__rethrow_if_nested_impl (const void *)
template<typename _Tp >
void | std::__throw_with_nested_impl (_Tp &&__t, true_type)
template<typename _Tp >
void | std::__throw_with_nested_impl (_Tp &&__t, false_type)
template<typename _Ex >
void | std::rethrow_if_nested (const _Ex &__ex)
template<typename _Tp >
void | std::throw_with_nested (_Tp &&__t)

## Detailed Description

This is an internal header file, included by other library headers. Do not attempt to use it directly. Instead, include <exception>.

Definition in file nested_exception.h.